<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.bytedance.advertise.mapper.ByteDanceCampaignMapper">

    <insert id="replaceBatch">
        replace into ctop_bytedance_campaign(
        id,
        account_id,
        name,
        budget,
        budget_mode,
        landing_type,
        modify_time,
        status,
        campaign_create_time,
        campaign_modify_time,
        create_time,
        update_time)
        values
        <foreach collection="campaigns" item="report" separator=",">
            (
            #{report.id},
            #{report.accountId},
            #{report.name},
            #{report.budget},
            #{report.budgetMode},
            #{report.landingType},
            #{report.modifyTime},
            #{report.status},
            #{report.campaignCreateTime},
            #{report.campaignModifyTime},
            #{report.createTime},
            #{report.updateTime}
            )
        </foreach>
    </insert>
</mapper>
